from sqlalchemy import text
from sqlalchemy.exc import OperationalError
from app.config.config import Config
from app import db
import logging

# Set up logger
logger = logging.getLogger(__name__)

def check_db_connection():
    try:
        with db.engine.connect() as conn:
            conn.execute(text("SELECT 1"))
            return True
    except OperationalError as e:
        logger.error(f"数据库连接失败: {str(e)}")
        return False 